import { Component, EventEmitter, Input, OnInit, Output } from "@angular/core";
@Component({
  selector: "app-dialog-bx",
  templateUrl: "./dialog-bx.component.html",
  styleUrls: ["./dialog-bx.component.less"],
})
export class DialogBxComponent implements OnInit {
  @Output() hideDelModalEvent = new EventEmitter<any>();
  @Output() confirmDelEvent = new EventEmitter<any>();
  @Output() cancelDelEvent = new EventEmitter<any>();
  @Input() btnLoading: boolean = false;
  @Input() cancenlLoading: boolean = false;
  @Input() delModal: boolean = false;
  @Input() confirmTxt: string = "是";
  @Input() cancelTxt: string = "否";
  @Input() deptDto: object = {};
  @Input() validateBxForm: object = {};
  @Input() extraData: object = {};
  constructor() {}

  officeInfo:any = {}

  ngOnInit() {
    console.log(this.extraData);
    console.log(this.deptDto);
    console.log(this.validateBxForm);
  }

  // 隐藏
  hideDelModal(e: string) {
    this.hideDelModalEvent.emit(e);
  }

  // 确认
  confirmDel() {
    this.confirmDelEvent.emit();
  }

  // 取消|否
  cancel() {
    this.cancelDelEvent.emit();
  }
}
